LINUX.ORG.RU

Как включить поддержку OpenGL в LMDE для ATI?

 ,


0

1

Поможите дамы и господа, ломает без цацек на LMDE ... А поиграть не могу т.к. ругается Кроссовер что не включена у меня поддержка OpenGL для видеокарты! Вот такую картину дает команда /opt/cxoffice/bin/cxdiag --debug:

[OpenglNoDRI]
"Level"="Recommend"
"Title"="OpenGL is not using Direct Rendering"
"Description"="This typically indicates a graphics driver configuration issue and will prevent most 3D games and applications from working correctly."

OpenGL vendor = 'ATI Technologies Inc.'
OpenGL version = '1.4 (2.1 (4.2.11762 Compatibility Profile Context))'
OpenGL renderer = 'ATI Radeon HD 5800 Series '
[Properties]
"opengl.vendor"="ATI Technologies Inc."

[Properties]
"opengl.version"="1.4 (2.1 (4.2.11762 Compatibility Profile Context))"

[Properties]
"opengl.renderer"="ATI Radeon HD 5800 Series "
Дрова ставил по этой инструкции ... В том числе и потому что при попытке установить драйвер скачанный с сайта AMD у меня тупо вешалась система. Интернет облазил ... fglrx-glx-ia32 устанавливал, а потом сносил его: dpkg --add-architecture i386 ; apt-get update apt-get install libgl1-fglrx-glx:i386 и все равно не пашет ... При том что: glxinfo | grep 'render'
direct rendering: Yes
OpenGL renderer string: ATI Radeon HD 5800 Series 
    GL_NV_conditional_render, GL_NV_copy_depth_to_color, GL_NV_copy_image, 
direct rendering: Yes
OpenGL renderer string: ATI Radeon HD 5800 Series 
    GL_NV_conditional_render, GL_NV_copy_depth_to_color, GL_NV_copy_image,
Поможите люди добрые! Спасибо ...


драйвер с сайта амд нормально ставится только в слакваре и то давно не проверял.

в остальных дистрах его не просто так перепаковывают.

у Вас наверняка есть репозиторий с драйверами для AMD|ATI в дистрибутиве.

по-крайней мере в SuSe они идут отдельно

Slackware_user ★★★★★ ()
Ответ на: комментарий от Deric

OpenGL version string: 4.2.11762 Compatibility Profile Context

напрягает меня чтото.

в остальном 64-битное должно работать.

рекомендую проверить чем-либо типа xonotic

есть подозрение что 32-битные драйвера могут стоять не полностью/криво.

Slackware_user ★★★★★ ()
Ответ на: комментарий от Slackware_user

Deric

в других вариантах в худшем случае у меня совсем падала система, в лучших падали Иксы ... Буквально пару часов как восстановил опять же по той же инструкции =\

Deric ()
Ответ на: комментарий от Slackware_user

Slackware_user

есть подозрение что 32-битные драйвера могут стоять не полностью/криво.

This likely means that the 32-bit openGL libraries for your ATI card haven't been installed - this is fairly common with 64-bit distros.

это ответ суппорта кроссовера ... Вопрос тогда: как правильно поставить 32 битные библиотеки, ничего акромя fglrx-glx-ia32 я не нашел, а в нем описание:

This is an empty transitional package to aid switching to multiarch.

Run the following commands to install the multiarch library:
* dpkg --add-architecture i386 ; apt-get update
* apt-get install libgl1-fglrx-glx:i386
это выполнил - толку ноль ...

Deric ()
Ответ на: комментарий от Deric

для начала найди родной репозиторий и верни родное ядро

при этом по-идее с x11-drivers-ati должно заработать 64-битное 3д.

далее ищем где в Минт лежат эти самые дрова закрытые.

накрайняк при помощи блоба с сайта делаем пакеты руками.

по-идее libgl1-fglrx-glx:i386 должен давать 3д ускорение на 32-разрдных приложениях.

но как оно в реальности врядли кто скажет, т.к. в системе стоит часть пакетов от дебиана, притом достаточно старого

Slackware_user ★★★★★ ()
Последнее исправление: Slackware_user (всего исправлений: 1)
Ответ на: комментарий от Slackware_user

Не, не стоит! Ядро у меня родное:

- Version
-Kernel		: Linux 3.2.0-3-amd64 (x86_64)
Compiled		: #1 SMP Thu Jun 28 09:07:26 UTC 2012
C Library		: Unknown
Default C Compiler		: GNU C Compiler version 4.7.1 (Debian 4.7.1-2) 
Distribution		: Linux Mint Debian Edition
-Current Session-
Computer Name		: linux-pc
User Name		: doom (doom)
Home Directory		: /home/doom
Desktop Environment		: Unknown (Window Manager: compiz)
-Misc-
Uptime		: 2 hours, 29 minutes
Load Average		: 1.30, 1.16, 1.21
поэтому первый шаг я пропускал ... И с репозитория squeeze-backports я тоже ни чего не ставил т.к. при попытке обратится туда система ругалась о том что у меня какие-то компоненты новее чем требуются по зависимостям. Поэтому я опускал адрес репозитория ...

Deric ()
Ответ на: комментарий от RussianNeuroMancer

Сейчас роюсь по выявленным ошибкам - лог но вместе с установкой mesa-utils при этом снеслось куча приложений типа компиза

Deric ()
Ответ на: комментарий от destructiond

Насколько могу «на глаз» оценить - вот сейчас у меня в системе точно полная каша - ведь mesa это вроде free интерпретация OpenGL? А у меня стоял проприетарный драйвер ... я запутался =\

Deric ()
Ответ на: комментарий от Deric

Mesa is an open-source implementation of the OpenGL specification - a system for rendering interactive 3D graphics.

Что такое меса.
А вообще, когда игрался в игрушки, wine категорически говорил, что не видит OpenGL на видюшке и ссылался на кривопоставленные драйвера. Проблема решается обычно вытягиванием с репозитория 32битных драйверов fglrx, за которыми вытягиваются либы.

destructiond ()
Ответ на: комментарий от destructiond

Чуть выше я писал что в синаптику висит пустой fglrx-glx-ia32 с просьбой перейти на мультиарх ... переходил - без толку

Deric ()
Ответ на: комментарий от RussianNeuroMancer

2 RussianNeuroMancer C фришными система зависала, но полагаю я не корректно удалял проприетарные дрова ... попробую.

2 Slackware_user

fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 5800 Series 
OpenGL version string: 4.2.11762 Compatibility Profile Context

display: :0.0  screen: 1
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 5800 Series 
OpenGL version string: 4.2.11762 Compatibility Profile Context

amdcccle - запускается и под рутом адекватно работает.

Deric ()
Ответ на: комментарий от Deric

На бесплатном драйвере вообще творится Содом и Гоморра ... и direct rending`a по прежнему нет ... Есть еще пара зацепок, буду пробовать ...

Deric ()
Ответ на: комментарий от RussianNeuroMancer

32 разрядную меса ставил отдельно, при этом лишился компиза и еще кучки свистопеделок ... Самое лучшее чего добиваюсь это загрузки с acpi=off но при этом не работает клавиатура ... Может здесь что? У меня ограммируемая a4 tech

Deric ()
Ответ на: комментарий от Slackware_user

если дрова закрытые то ставиться должны обе сразу

Мы про открытые сейчас.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от Deric

32 разрядную меса ставил отдельно, при этом лишился компиза и еще кучки свистопеделок ...

Вы сейчас про установку 32-разрядного пакета mesa-utils, или про установку 32-разрядных библиотек Mesa? То что у вас снеслось ранее обратно поставьте.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Это мелочи. Походу мозг взрывается ... Попробовал ставить mint14 rc с проприетарнымии дровами та же хрень, как со стабильными так и бетой ...

Deric ()
Ответ на: комментарий от Slackware_user

Если честно не пробовал, ставил какой то бильярд на OpenGL тест проходил ... Пробовал в кроссовке запустить day of defeat зависает ... И раз я мучаюсь с видео, есть такой глюк на минт 14 рк - при установке проприетарных дров из стандартных репозитариев, получаю забавный глюк когда курсор зависает на втором мониторе - т.е. Подвожу курсор к краю первого монитора, мыша перепрыгивает на второй монитор и потом уже на первый монитор не возвращается ... Как починить?

Deric ()
Ответ на: комментарий от Deric

Это мелочи. Походу мозг взрывается ...

Вы бы хоть записывали, что ставите/удаляете, а то потом непонятно, от чего плясать. В общем вы, я так понимаю, 13-й Минт уже снесли?

Как починить?

Как двухмониторную конфигурацию настраивали?

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

У мея 13 минт и не стоял - стоял LMDE и я к нему еще хочу вернутся. Сейчас пишу из под Минт 14 RC. Мультимониторку натсраивал по разному - сначал пробывал на стандартных драйверах, но главное проблемой было то что почему-то по-умолчанию всегда выбирался самый маленький из мониторов. На проприетарных дровах использую amdcccle - положение монитора регулируется нормльно, но мышка ... я боюсь левого края основного монитора =)))

Deric ()
Ответ на: комментарий от Deric

Мультимониторку натсраивал по разному - сначал пробывал на стандартных драйверах, но главное проблемой было то что почему-то по-умолчанию всегда выбирался самый маленький из мониторов.

Какой DE? Скриншот утилиты настройки мониторов можете показать? (При используемом свободном драйвере, а не проприетарном.)

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Да по всякому игрался. Не, как не легла у меня душа к убунте, так ве та и минт 14 не пошел ... Ставлю назад lmde - лучше ее добью ... Уж простите что я как сопля скачу с дистрибутива на дистрибутив - я искренне благодарен за то что помогаете!

Deric ()
Ответ на: комментарий от Deric

Смотрите, внимание:

Да по всякому игрался.

в этом ваша проблема. Думайте, что делайте. И хотя бы записайте, что делайте, чтобы потом откатывать действия назад.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

На неделю растянул выбор дистрибутива ... Я очень давно не касался *nix (убунте не в счет, это почти видна) и растерял все навыки, но по крайней мере я хотя бы определился с дистрибутивом ... Буду ломать lmde до победного ...

Deric ()
Ответ на: комментарий от Deric

LMDE переустановлен, дрова поставлены из эксперементального репозитория - но openGL не работает, даже не смотря на это или я что-то опять не догнал =\

anonymous ()
Ответ на: комментарий от anonymous

дрова поставлены

Список поставленных 32-разрядных и 64-разрядных пакетов?

но openGL не работает

Вывод 64-разрядной glxinfo покажите для начала.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от anonymous

Тыб еще в 2000-х искал решение проблемы.

Сегодняж все решается просто 1 командой,установщики драйверов таки допилили,то что вы творите-неверно в принципе.

anonymous ()
Ответ на: комментарий от RussianNeuroMancer

Вот так сейчас выглядит система. Но есть один интересный момент: вся это петрушка была мною заварена из-за crossover и teamviewer которые при установке ставят пакет ia32-libs который удаляет пакет libgl1-fglrx-glx:i386, который на сколько я понимаю рекомендуем для поддержки 32 разрядных задачь на 64-х битных системах ... вот такое рпотиворечие =\ З.Ы. OpenArena играеца на ура ...

Deric ()
Ответ на: комментарий от Deric

ia32-libs который удаляет пакет libgl1-fglrx-glx:i386

Так бы сразу и сказали. Тогда либо пользуйтесь свободным драйвером, либо ставьте *ubuntu, где такой петрушки с зависимостями ia32-libs нет.

RussianNeuroMancer ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.